iio_attr(1)

NAME
iio_attr - list IIO devices, and read/write device attributes

SYNOPSIS
iio_attr [ options ] -d [device] [attr] [value]
iio_attr [ options ] -c [device] [channel] [attr] [value]
iio_attr [ options ] -D [device] [attr] [value]
iio_attr [ options ] -C [attr]

DESCRIPTION
iio_attr is a utility for displaying information about local or remote IIO devices. By providing an optional value, iio_attr will attempt to write the new value to the attribute.

OPTIONS

-h, --help
    Tells iio_attr to display some help, and then quit.

-I, --ignore-case
    When pattern matching devices, channels or attributes, ignore case

-a, --auto
    Look around for devices (locally, and usb), and if there is only one device found, connect to it.

-u, --uri
    The Uniform Resource Identifier (uri) for connecting to devices, can be one of:

    ip:[address]
        network address, either numeric (192.168.0.1) or network hostname

    ip: blank, if compiled with zeroconf support, will find an IIO device on network

    usb:[device:port:instance]
        normally returned from iio_info -s

    serial:[port]

    local
        with no address part

-i, --input-channel
    Filters channels by input channels only

-o, --output-channel
    Filters channels by output channels only

-s, --scan-channel
    Filters channels by scan channels only

RETURN VALUE
If the specified device is not found, a non-zero exit code is returned.

SEE ALSO
iio_attr(1), iio_info(1), iio_readdev(1), iio_reg(1), iio_writedev(1), libiio(3)

libiio home page: https://wiki.analog.com/resources/tools-software/linux-software/libiio

libiio code: https://github.com/analogdevicesinc/libiio

Doxygen for libiio https://analogdevicesinc.github.io/libiio/

BUGS
All bugs are tracked at: https://github.com/analogdevicesinc/libiio/issues